﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Activities;
using System.Web.Security;

namespace CustomActivities
{

    public sealed class ActivateUserAccount : CodeActivity
    {
        // Define an activity input argument of type string
        public InArgument<string> UserName { get; set; }

        
        protected override void Execute(CodeActivityContext context)
        {
            var user = Membership.GetUser(UserName.Get(context));
            user.IsApproved = true;
            Membership.UpdateUser(user);
          
                
        }
    }
}
