﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Activities;

namespace CustomActivities
{

    public sealed class AddWorkflowMetadata : CodeActivity
    {
        public InArgument<string> UserName { get; set; }
        public InArgument<string> ActivityType { get; set; }

        //protected override void CacheMetadata(CodeActivityMetadata metadata)
        //{
        //    base.CacheMetadata(metadata);
        //    metadata.AddDefaultExtensionProvider<UserWorkflowPersistenceParticipant>(
        //        () => new UserWorkflowPersistenceParticipant());
        //}
        protected override void Execute(CodeActivityContext context)
        {
            context.GetExtension<UserWorkflowPersistenceParticipant>().SetLookupValues(UserName.Get(context),
                ActivityType.Get(context));
        }
    }
}
