﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Activities;

namespace CustomActivities
{

    public sealed class WaitForData<T> : NativeActivity<T>
    {
        public InArgument<string> BookmarkName { get; set; }
        protected override bool CanInduceIdle
        {
            get
            {
                return true;
            }
        }
        protected override void Execute(NativeActivityContext context)
        {
            context.CreateBookmark(BookmarkName.Get(context), DataArrived);
        }

        private void DataArrived(NativeActivityContext context, Bookmark bk, object state)
        {
            Result.Set(context, state);
        }
    }
}
