﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Activities;
using System.Activities.XamlIntegration;
using System.Xaml;

namespace FinancialAppWeb.Controllers
{
    [HandleError]
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            #region XAML

            //var activity =
            //    ActivityXamlServices.Load(
            //    Server.MapPath("~/workflows/GetDataForMainPage.xaml"));
            //var results = WorkflowInvoker.Invoke(activity);
            #endregion

            var results =
                WorkflowInvoker.Invoke(
                new CustomActivities.GetDataForMainPage());

            ViewData["candidates"] = results["candidates"];
            ViewData["workOrders"] = results["workOrders"];

            return View();
        }

        public ActionResult About()
        {
            return View();
        }
    }
}
